# Class TimerNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
javax.management.timer.TimerNotification

All Implemented Interfaces:
  `Serializable`

public class TimerNotification extends Notification
This class provides definitions of the notifications sent by timer MBeans.
It defines a timer notification identifier which allows to retrieve a timer notification from the list of notifications of a timer MBean.

The timer notifications are created and handled by the timer MBean.

Since:
  1.5
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class Notification

`source`

## Constructor Summary

Constructors
Constructor
Description
`TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)`
Creates a timer notification object.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getNotificationID()`
Gets the identifier of this timer notification.

### Methods declared in class Notification

`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

### Methods declared in class EventObject

`getSource`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TimerNotification

public TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)
Creates a timer notification object.

Parameters:
  `type` - The notification type.
  `source` - The notification producer.
  `sequenceNumber` - The notification sequence number within the source object.
  `timeStamp` - The notification emission date.
  `msg` - The notification message.
  `id` - The notification identifier.

## Method Details

### getNotificationID

public Integer getNotificationID()
Gets the identifier of this timer notification.

Returns:
  The identifier.